Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class SubSidebarTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.jivesoftware.admin.SidebarTag
                  org.jivesoftware.admin.SubSidebarTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class SubSidebarTag

extends SidebarTag

A simple tag to gather its body content and pass it to the parent tag. This tag must be used as a child of the `SidebarTag`.

Sample usage:

`<jive:sidebar bean="jivepageinfo">
<a href="[url]" title="[description]">[name]</a>
<jive:subsidebar>
<a href="[url]">[name]</a>
</jive:subsidebar>
</jive:sidebar>`

Note, this class has no attributes.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SubSidebarTag()`

Method Summary
`int` | `doEndTag()` Sets the 'body' property to be equal to the body content of this tag.
`int` | `doStartTag()` Looks for the parent SidebarTag class, throws an error if not found.
`String` | `getBody()` Returns the body content of this tag.
`void` | `setBody(String body)` Sets the body content of this tag.

Methods inherited from class org.jivesoftware.admin.SidebarTag
`getCss, getCurrentcss, getHeadercss, getSubsidebarTag, setCss, setCurrentcss, setHeadercss, setSubSidebar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### SubSidebarTag

    public SubSidebarTag()

Method Detail

### getBody

    public String getBody()

  Returns the body content of this tag.

### setBody

    public void setBody(String body)

  Sets the body content of this tag.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Looks for the parent SidebarTag class, throws an error if not found. If found, `BodyTag.EVAL_BODY_BUFFERED` is returned.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `SidebarTag`
  Returns:
    `BodyTag.EVAL_BODY_BUFFERED` if no errors.
  Throws:
    `javax.servlet.jsp.JspException` - if a parent SidebarTag is not found.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Sets the 'body' property to be equal to the body content of this tag. Calls the `SidebarTag.setSubSidebar(SubSidebarTag)` method of the parent tag.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `SidebarTag`
  Returns:
    `Tag.EVAL_PAGE`
  Throws:
    `javax.servlet.jsp.JspException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.